/*
  outline: black solid 1px;
*/

html,body {
  width: 100%;
  height: 100%;
  margin: 0px;
  padding: 0px;
  overflow-x: hidden; 
  font-family: 'Poppins', sans-serif;
  /*height: 120em;*/
  background-color: rgb(119, 95, 255);

}

.allcontainer {
  width: 100%;
  background-image: url('images/BackGround.png');
  background-size: cover;
  position: relative;
  top: 2em;

  display: grid;
  grid-template-columns: 100%;
  gap: 3em;
  justify-items: center;
  align-items: center;
}


.langbutton {
  width: 3em;
  height: 1.8em;
  padding: 0;
  border: none;
  border-radius: 0.5em;
  margin-right: 3em;
}

.langicon {
  width: 100%;
  height: 100%;
  margin: 0;
  border: black solid 1px;
  border-radius: 0.5em;

  
}

.langdiv {
  width: 100%;
  height: auto;
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 0.2em;
  position: relative;
  top: 0.8em;

}

.langchoise {
  width: 100%;
  height: 2em;
  border-radius: 0.5em;

}

.titlebar {
    width: 100%;
    height: 3em;
    background-color: rgb(119, 95, 255);
    text-align: center;
    z-index: 20;
    position: fixed;
    top: 0;

    display: flex;
    align-items: center;
    justify-content: space-between;

  }
  
  .title-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 100%;

  }
  


  .headericon {
    width: 2.5em;
    height: auto;
    position: relative;
    top: 0;
    left: 0;
    margin: 1em;
  }
  

  .pagetitle {
    white-space: nowrap;
    font-size: 2em;
    font-weight: 600;
    color: white;
    text-align: center;
  }



  .dragdiv {
    width: 73.9%;
    min-height: 40em;
    display: flex;
    align-items: center;
    justify-content: center;
  }


  .keydiv {
    width: 98.5%;
    min-height: 40em;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  .partydiv {
    width: 100%;
    min-height: 40em;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .musicdiv {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 90.05%;
    min-height: 40em;

  }


  .tut-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    gap: 1em 5em;
    width: 100%;
  }
  
  .tut-container.reversecontainer {
    flex-wrap: wrap-reverse;
  }

  .tut-container.normalcontainer {
    flex-wrap: wrap;

  }


  .background-img {
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
    height: auto;
  }


  .bottombar {
    width: 100%;
    background-color: rgb(119, 95, 255);
    text-align: center;    
    height: 5em;

    color: rgb(223, 223, 223);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }

  .bottombar > p {
    position: relative;
    top: 1em;
    margin: 1em;
  }

  .contactmail {
    color: rgb(255, 255, 255);
  }

  .textcontainer {
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    max-width: 48%;

  }

  .textcontainer > * {
    margin: 0em;
  }

  .apptext {
    font-size: 7.5em;
    font-weight: 600;
    color: rgb(119, 95, 255);
    white-space: nowrap;
    text-align: center;
  }
  
  .appsubtext {
    font-size: 2em;
    font-weight: 600;
    color: rgb(119, 95, 255);
    text-align: center;
  }

  .appimg {
    width: 45em;
    height: auto;
    border-radius: 1.5em;
    border-color: black;
    border-width: 0.3em;
    border-style: solid;
  }



  /* CSS */
.button-69 {
  background-color: initial;
  background-image: linear-gradient(#8614f8 0, #760be0 100%);
  border-radius: 5px;
  border-style: none;
  box-shadow: rgba(245, 244, 247, .25) 0 1px 1px inset;
  color: #fff;
  cursor: pointer;
  display: inline-block;
  font-family: Inter, sans-serif;
  font-size: 16px;
  font-weight: 500;
  height: 60px;
  line-height: 60px;
  margin-left: -4px;
  outline: 0;
  text-align: center;
  transition: all .3s cubic-bezier(.05, .03, .35, 1);
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  vertical-align: bottom;
  width: 190px;


  font-size: 1.2em;
  font-weight: 600;
  letter-spacing: 0.1em;
  color: rgb(255, 255, 255);
  white-space: nowrap;
  text-align: center;
}

.btnparent {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 1em;
  position: relative;
  bottom: 2em;
}

.btnparent > span {
  font-size: 3em;
  font-weight: 600;
  color: rgb(119, 95, 255);
  white-space: nowrap;
  text-align: center;
}

.button-69:hover {
  opacity: .7;
}


@media screen and (max-width: 1000px) {
  .button-69 {
    font-size: 14px;
    height: 55px;
    line-height: 55px;
    width: 150px;
  }
}

  @media (max-width: 768px) {

    .allcontainer {
      background-image: url('images/BackGroundPhone.png');
    }
    

    .tut-container {
      flex-direction: column;
      align-items: center;
    }
  
    .apptext {
      font-size: 3em;
    }
  

    .appsubtext {
      width: 100%;
      font-size: 1em;
      text-align: center;
      overflow-wrap: break-word;
    }

    .appimg {
      width: 20em;
      height: auto;
    }


    .dragdiv {
      width: 100%;
      min-height: 25em;
    }


    .keydiv {
      width: 100%;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      min-height: 25em;
    }
    
    .partydiv {
      width: 100%;
      min-height: 25em;

    }

    .keydiv img {
      order: 2;
    }
    
    .keydiv p {
      order: 1;
    }


    .musicdiv {
      width: 100%;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;

      min-height: auto;
    }
    
    .musicdiv img {
      order: 2;
    }
    
    .musicdiv p {
      order: 1;
    }

    .btnparent > span {
      font-size: 1em;
    }


    
    .bottombar > p {
      font-size: 0.7em;
      position: relative;
      top: 1.5em;
    }

  }
  

  